classdef GaussianImageNormalization
    
    properties
        devMultiplier=6;
        imageNormMean=48;
        imageNormSpread=30;
    end
    
    methods
        function output = NormalizeImage(this, fullImage)
            if(size(fullImage,3) == 3)
                fullImage = double(rgb2gray(uint8(fullImage)));
            else
                fullImage = double(fullImage);
            end
            
            %normalize
            m = mean(fullImage(:));
            v = sqrt(var(fullImage(:)));
            output = (fullImage - m)/(v*this.devMultiplier)*this.imageNormSpread+this.imageNormMean;
            
            output = min(max(output,0), 255);
        end
        
    end
end
