function image = readImage(imgfile, preprocessingMethod)

    [image map] = imread(imgfile);
    if ~isempty(map)
        image = ind2gray(image, map);
    end
    if numel(size(image))==3
        image = rgb2gray(image);
    end
    image = double(image);
    if ~isempty(preprocessingMethod)
        if isa(preprocessingMethod, 'function_handle')
            image=preprocessingMethod(image);
        else
            error('Preprocessing method given is not a function handle');
        end
    end

end
